## cura 2.5.0

=== CMakeLists.txt ===
project(cura NONE)
cmake_minimum_required(VERSION 2.8.12)

include(GNUInstallDirs)

set(URANIUM_SCRIPTS_DIR "${CMAKE_SOURCE_DIR}/../uranium/scripts" CACHE DIRECTORY "The location of the scripts directory of the Uranium repository")

# Tests
# Note that we use exit 0 here to not mark the build as a failure on test failure
add_custom_target(tests)
add_custom_command(TARGET tests POST_BUILD COMMAND "PYTHONPATH=${CMAKE_SOURCE_DIR}/../Uranium/:${CMAKE_SOURCE_DIR}" ${PYTHON_EXECUTABLE} -m pytest -r a --junitxml=${CMAKE_BINARY_DIR}/junit.xml ${CMAKE_SOURCE_DIR} || exit 0)

option(CURA_DEBUGMODE "Enable debug dialog and other debug features" OFF)
if(CURA_DEBUGMODE)
    set(_cura_debugmode "ON")
endif()

set(CURA_VERSION "master" CACHE STRING "Version name of Cura")
set(CURA_BUILDTYPE "" CACHE STRING "Build type of Cura, eg. 'PPA'")
configure_file(${CMAKE_SOURCE_DIR}/cura.desktop.in ${CMAKE_BINARY_DIR}/cura.desktop @ONLY)
configure_file(cura/CuraVersion.py.in CuraVersion.py @ONLY)

if(NOT ${URANIUM_DIR} STREQUAL "")
    set(CMAKE_MODULE_PATH "${URANIUM_DIR}/cmake")
endif()
if(NOT ${URANIUM_SCRIPTS_DIR} STREQUAL "")
    include(UraniumTranslationTools)
    # Extract Strings
    add_custom_target(extract-messages ${URANIUM_SCRIPTS_DIR}/extract-messages ${CMAKE_SOURCE_DIR} cura)
    # Build Translations
    CREATE_TRANSLATION_TARGETS()
endif()

find_package(PythonInterp 3.5.0 REQUIRED)

install(DIRECTORY resources
        DESTINATION ${CMAKE_INSTALL_DATADIR}/cura)
install(DIRECTORY plugins
        DESTINATION lib/cura)
if(NOT APPLE AND NOT WIN32)
    install(FILES cura_app.py
            DESTINATION ${CMAKE_INSTALL_BINDIR}
            PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
            RENAME cura)
    install(DIRECTORY cura
            DESTINATION lib/python${PYTHON_VERSION_MAJOR}/dist-packages
            FILES_MATCHING PATTERN *.py)
    install(FILES ${CMAKE_BINARY_DIR}/CuraVersion.py
            DESTINATION lib/python${PYTHON_VERSION_MAJOR}/dist-packages/cura)
    install(FILES ${CMAKE_BINARY_DIR}/cura.desktop
            DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
    install(FILES cura.appdata.xml
            DESTINATION ${CMAKE_INSTALL_DATADIR}/appdata)
    install(FILES cura.sharedmimeinfo
            DESTINATION ${CMAKE_INSTALL_DATADIR}/mime/packages/
            RENAME cura.xml )
else()
    install(FILES cura_app.py
            DESTINATION ${CMAKE_INSTALL_BINDIR}
            PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
    install(DIRECTORY cura
            DESTINATION lib/python${PYTHON_VERSION_MAJOR}.${PYTHON_VERSION_MINOR}/site-packages
            FILES_MATCHING PATTERN *.py)
    install(FILES ${CMAKE_BINARY_DIR}/CuraVersion.py
            DESTINATION lib/python${PYTHON_VERSION_MAJOR}.${PYTHON_VERSION_MINOR}/site-packages/cura)
endif()

include(CPackConfig.cmake)

=== debian/changelog ===
cura (2.5.0-1) unstable; urgency=medium

  [ Gregor Riepl ]
  * Initial Debian release. Closes: #706656

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 08 Oct 2017 09:08:37 +0000

=== debian/control ===
Source: cura
Priority: optional
Maintainer: Debian 3-D Printing Packages <3dprinter-general@lists.alioth.debian.org>
Uploaders: Gregor Riepl <onitake@gmail.com>
Build-Depends: debhelper (>= 10), cmake (>=2.8.12), dh-python,
 python3-all,
 uranium-tools (>=2.5.0),
 gettext
Standards-Version: 4.1.1
X-Python3-Version: >= 3.4
Section: misc
Homepage: https://github.com/Ultimaker/Cura
Vcs-Browser: https://anonscm.debian.org/cgit/3dprinter/packages/cura.git/
Vcs-Git: https://anonscm.debian.org/git/3dprinter/packages/cura.git

Package: cura
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
 python3-serial,
 python3-pyqt5, python3-pyqt5.qtopengl,
 qml-module-qtqml-models2,
 qml-module-qtquick-controls,
 qml-module-qtquick-dialogs,
 qml-module-qt-labs-folderlistmodel,
 qml-module-qt-labs-settings,
 fonts-open-sans,
 python3-uranium (>=2.5.0), uranium-plugins (>=2.5.0), cura-engine (>=1:2.5.0),
 python3-savitar (>=2.6.0)
Recommends: python3-zeroconf, fdm-materials (>=2.5.0)
Provides: ${python3:Provides}
XB-Python3-Version: ${python3:Versions}
Description: GUI G-code generator for 3D printers
 Cura converts digital 3D models into printing instructions (G-code)
 for your 3D printer. It cuts the model into horizontal slices (layers),
 generates toolpaths to fill them and calculates the amount of material
 to be extruded.
 .
 Cura is easy to use for novices and provide over 200 settings to adjust
 for the expert.  It can output G-Code for several series of 3D printers,
 most notably the Ultimaker.
 .
 It provide a graphical user interface.  For batch mode, check out
 cura-engine.

## cura 3.0.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,16 @@
 project(cura NONE)
 cmake_minimum_required(VERSION 2.8.12)
 
+set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/
+                      ${CMAKE_MODULE_PATH})
+
 include(GNUInstallDirs)
 
-set(URANIUM_SCRIPTS_DIR "${CMAKE_SOURCE_DIR}/../uranium/scripts" CACHE DIRECTORY "The location of the scripts directory of the Uranium repository")
+set(URANIUM_DIR "${CMAKE_SOURCE_DIR}/../Uranium" CACHE DIRECTORY "The location of the Uranium repository")
+set(URANIUM_SCRIPTS_DIR "${URANIUM_DIR}/scripts" CACHE DIRECTORY "The location of the scripts directory of the Uranium repository")
 
 # Tests
-# Note that we use exit 0 here to not mark the build as a failure on test failure
-add_custom_target(tests)
-add_custom_command(TARGET tests POST_BUILD COMMAND "PYTHONPATH=${CMAKE_SOURCE_DIR}/../Uranium/:${CMAKE_SOURCE_DIR}" ${PYTHON_EXECUTABLE} -m pytest -r a --junitxml=${CMAKE_BINARY_DIR}/junit.xml ${CMAKE_SOURCE_DIR} || exit 0)
+include(CuraTests)
 
 option(CURA_DEBUGMODE "Enable debug dialog and other debug features" OFF)
 if(CURA_DEBUGMODE)
@@ -24,6 +26,7 @@
     set(CMAKE_MODULE_PATH "${URANIUM_DIR}/cmake")
 endif()
 if(NOT ${URANIUM_SCRIPTS_DIR} STREQUAL "")
+    list(APPEND CMAKE_MODULE_PATH ${URANIUM_DIR}/cmake)
     include(UraniumTranslationTools)
     # Extract Strings
     add_custom_target(extract-messages ${URANIUM_SCRIPTS_DIR}/extract-messages ${CMAKE_SOURCE_DIR} cura)
@@ -42,13 +45,23 @@
             DESTINATION ${CMAKE_INSTALL_BINDIR}
             PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
             RENAME cura)
-    install(DIRECTORY cura
+    if(EXISTS /etc/debian_version)
+        install(DIRECTORY cura
             DESTINATION lib/python${PYTHON_VERSION_MAJOR}/dist-packages
             FILES_MATCHING PATTERN *.py)
-    install(FILES ${CMAKE_BINARY_DIR}/CuraVersion.py
+        install(FILES ${CMAKE_BINARY_DIR}/CuraVersion.py
             DESTINATION lib/python${PYTHON_VERSION_MAJOR}/dist-packages/cura)
+    else()
+        install(DIRECTORY cura
+            DESTINATION lib/python${PYTHON_VERSION_MAJOR}.${PYTHON_VERSION_MINOR}/site-packages
+            FILES_MATCHING PATTERN *.py)
+        install(FILES ${CMAKE_BINARY_DIR}/CuraVersion.py
+            DESTINATION lib/python${PYTHON_VERSION_MAJOR}.${PYTHON_VERSION_MINOR}/site-packages/cura)
+    endif()
     install(FILES ${CMAKE_BINARY_DIR}/cura.desktop
             DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
+    install(FILES ${CMAKE_SOURCE_DIR}/resources/images/cura-icon.png
+            DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/128x128/apps/)
     install(FILES cura.appdata.xml
             DESTINATION ${CMAKE_INSTALL_DATADIR}/appdata)
     install(FILES cura.sharedmimeinfo
@@ -64,5 +77,3 @@
     install(FILES ${CMAKE_BINARY_DIR}/CuraVersion.py
             DESTINATION lib/python${PYTHON_VERSION_MAJOR}.${PYTHON_VERSION_MINOR}/site-packages/cura)
 endif()
-
-include(CPackConfig.cmake)

=== debian/changelog ===
cura (3.0.3-1) unstable; urgency=medium

  * New upstream release: 3.0.3
  * Upstream license change from AGPL-3+ to LGPL-3+
  * Added uranium to build deps for the unit tests
  * Added patch to remove hard dependency on python 3.5
  * Added upstream patch to fix failing tests with Uranium 3.0.3
  * Adapted Python3 check to require 3.5, but accept later versions

 -- Gregor Riepl <onitake@gmail.com>  Sun, 17 Dec 2017 06:02:38 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Uploaders: Gregor Riepl <onitake@gmail.com>
 Build-Depends: debhelper (>= 10), cmake (>=2.8.12), dh-python,
  python3-all,
- uranium-tools (>=2.5.0),
+ uranium-tools (>=3.0.3), python3-uranium (>=3.0.3),
  gettext
 Standards-Version: 4.1.1
 X-Python3-Version: >= 3.4
@@ -24,9 +24,9 @@
  qml-module-qt-labs-folderlistmodel,
  qml-module-qt-labs-settings,
  fonts-open-sans,
- python3-uranium (>=2.5.0), uranium-plugins (>=2.5.0), cura-engine (>=1:2.5.0),
- python3-savitar (>=2.6.0)
-Recommends: python3-zeroconf, fdm-materials (>=2.5.0)
+ python3-uranium (>=3.0.3), uranium-plugins (>=3.0.3), cura-engine (>=1:3.0.3),
+ python3-savitar (>=3.0.3)
+Recommends: python3-zeroconf, fdm-materials (>=3.0.3)
 Provides: ${python3:Provides}
 XB-Python3-Version: ${python3:Versions}
 Description: GUI G-code generator for 3D printers

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
export DH_VERBOSE = 1
include /usr/share/dpkg/pkg-info.mk
# Suppress __pycache__ pollution
export PYTHONDONTWRITEBYTECODE = 1

DEB_URANIUM_DIR ?= /usr/share/uranium

%:
	dh $@ --buildsystem=cmake --with python3 --parallel

override_dh_auto_configure:
	dh_auto_configure -- -DURANIUM_DIR=$(DEB_URANIUM_DIR) -DCURA_VERSION=$(DEB_VERSION_UPSTREAM)

override_dh_clean:
	dh_clean
	# Leftovers from pytest
	rm -rf .cache
	find -name __pycache__ -print0 | xargs -0 rm -rf

## cura 3.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -39,7 +39,7 @@
 install(DIRECTORY resources
         DESTINATION ${CMAKE_INSTALL_DATADIR}/cura)
 install(DIRECTORY plugins
-        DESTINATION lib/cura)
+        DESTINATION lib${LIB_SUFFIX}/cura)
 if(NOT APPLE AND NOT WIN32)
     install(FILES cura_app.py
             DESTINATION ${CMAKE_INSTALL_BINDIR}
@@ -47,23 +47,23 @@
             RENAME cura)
     if(EXISTS /etc/debian_version)
         install(DIRECTORY cura
-            DESTINATION lib/python${PYTHON_VERSION_MAJOR}/dist-packages
+            DESTINATION lib${LIB_SUFFIX}/python${PYTHON_VERSION_MAJOR}/dist-packages
             FILES_MATCHING PATTERN *.py)
         install(FILES ${CMAKE_BINARY_DIR}/CuraVersion.py
-            DESTINATION lib/python${PYTHON_VERSION_MAJOR}/dist-packages/cura)
+            DESTINATION lib${LIB_SUFFIX}/python${PYTHON_VERSION_MAJOR}/dist-packages/cura)
     else()
         install(DIRECTORY cura
-            DESTINATION lib/python${PYTHON_VERSION_MAJOR}.${PYTHON_VERSION_MINOR}/site-packages
+            DESTINATION lib${LIB_SUFFIX}/python${PYTHON_VERSION_MAJOR}.${PYTHON_VERSION_MINOR}/site-packages
             FILES_MATCHING PATTERN *.py)
         install(FILES ${CMAKE_BINARY_DIR}/CuraVersion.py
-            DESTINATION lib/python${PYTHON_VERSION_MAJOR}.${PYTHON_VERSION_MINOR}/site-packages/cura)
+            DESTINATION lib${LIB_SUFFIX}/python${PYTHON_VERSION_MAJOR}.${PYTHON_VERSION_MINOR}/site-packages/cura)
     endif()
     install(FILES ${CMAKE_BINARY_DIR}/cura.desktop
             DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
     install(FILES ${CMAKE_SOURCE_DIR}/resources/images/cura-icon.png
             DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/128x128/apps/)
     install(FILES cura.appdata.xml
-            DESTINATION ${CMAKE_INSTALL_DATADIR}/appdata)
+            DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)
     install(FILES cura.sharedmimeinfo
             DESTINATION ${CMAKE_INSTALL_DATADIR}/mime/packages/
             RENAME cura.xml )
@@ -72,8 +72,8 @@
             DESTINATION ${CMAKE_INSTALL_BINDIR}
             PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
     install(DIRECTORY cura
-            DESTINATION lib/python${PYTHON_VERSION_MAJOR}.${PYTHON_VERSION_MINOR}/site-packages
+            DESTINATION lib${LIB_SUFFIX}/python${PYTHON_VERSION_MAJOR}.${PYTHON_VERSION_MINOR}/site-packages
             FILES_MATCHING PATTERN *.py)
     install(FILES ${CMAKE_BINARY_DIR}/CuraVersion.py
-            DESTINATION lib/python${PYTHON_VERSION_MAJOR}.${PYTHON_VERSION_MINOR}/site-packages/cura)
+            DESTINATION lib${LIB_SUFFIX}/python${PYTHON_VERSION_MAJOR}.${PYTHON_VERSION_MINOR}/site-packages/cura)
 endif()

=== debian/changelog ===
cura (3.1.0-1) unstable; urgency=medium

  * New upstream release 3.1.0

 -- Gregor Riepl <onitake@gmail.com>  Fri, 19 Jan 2018 19:40:35 +0100

cura (3.0.3-2) unstable; urgency=medium

  * Team upload.
  * Add missing build-dependency on python3-pytest
  * Make sure tests run with an existing HOME directory

 -- Nicolas Dandrimont <olasd@debian.org>  Sun, 17 Dec 2017 20:42:21 +0100

=== debian/control ===
Source: cura
Priority: optional
Maintainer: Debian 3-D Printing Packages <3dprinter-general@lists.alioth.debian.org>
Uploaders: Gregor Riepl <onitake@gmail.com>
Build-Depends: cmake (>=2.8.12),
               debhelper (>= 10),
               dh-python,
               gettext,
               python3-all,
               python3-pytest,
               python3-uranium (>=3.1.0),
               uranium-tools (>=3.1.0)
Standards-Version: 4.1.3
X-Python3-Version: >= 3.5
Section: misc
Homepage: https://github.com/Ultimaker/Cura
Vcs-Browser: https://anonscm.debian.org/cgit/3dprinter/packages/cura.git/
Vcs-Git: https://anonscm.debian.org/git/3dprinter/packages/cura.git

Package: cura
Architecture: all
Depends: cura-engine (>=1:3.1.0),
         fonts-open-sans,
         python3-pyqt5,
         python3-pyqt5.qtopengl,
         python3-savitar (>=3.1.0),
         python3-serial,
         python3-uranium (>=3.1.0),
         qml-module-qt-labs-folderlistmodel,
         qml-module-qt-labs-settings,
         qml-module-qtqml-models2,
         qml-module-qtquick-controls,
         qml-module-qtquick-dialogs,
         uranium-plugins (>=3.1.0),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: fdm-materials (>=3.1.0), python3-zeroconf
Provides: ${python3:Provides}
XB-Python3-Version: ${python3:Versions}
Description: GUI G-code generator for 3D printers
 Cura converts digital 3D models into printing instructions (G-code)
 for your 3D printer. It cuts the model into horizontal slices (layers),
 generates toolpaths to fill them and calculates the amount of material
 to be extruded.
 .
 Cura is easy to use for novices and provide over 200 settings to adjust
 for the expert.  It can output G-Code for several series of 3D printers,
 most notably the Ultimaker.
 .
 It provide a graphical user interface.  For batch mode, check out
 cura-engine.

=== debian/rules ===
--- 
+++ 
@@ -19,3 +19,6 @@
 	# Leftovers from pytest
 	rm -rf .cache
 	find -name __pycache__ -print0 | xargs -0 rm -rf
+
+override_dh_auto_test:
+	tmpdir=$(mktemp -d); HOME=$$tmpdir dh_auto_test; rm -rf $$tmpdir

## cura 3.3.1

=== debian/changelog ===
cura (3.3.1-2) unstable; urgency=medium

  * Added missing dependency: qml-module-qtquick-controls2.
    Closes: #903463

 -- Gregor Riepl <onitake@gmail.com>  Wed, 11 Jul 2018 20:46:10 +0200

cura (3.3.1-1) unstable; urgency=medium

  * New upstream release 3.3.1.
    Closes: #898568
  * Migrated to salsa
  * Users are now asked for explicit constent to telemetry.
    Closes: #884709
  * fdm-materials was turned into a required dependency to avoid
    crashes. Closes: #894190

 -- Gregor Riepl <onitake@gmail.com>  Mon, 18 Jun 2018 19:13:45 +0200

cura (3.3.0-1) unstable; urgency=medium

  * New upstream version 3.3.0
  * Migrated to salsa
  * Fixed appstream XML

 -- Gregor Riepl <onitake@gmail.com>  Sun, 17 Jun 2018 18:41:14 +0200

cura (3.2.1-1) unstable; urgency=medium

  * New upstream version 3.2.1
  * Cura now asks if anonymous slicing data should be collected.
    Closes: #884709
  * Made fdm-materials a required dependency to avoid crash on startup.
    Closes: #894190

 -- Gregor Riepl <onitake@gmail.com>  Tue, 27 Mar 2018 19:02:45 +0200

=== debian/control ===
--- 
+++ 
@@ -8,34 +8,36 @@
                gettext,
                python3-all,
                python3-pytest,
-               python3-uranium (>=3.1.0),
-               uranium-tools (>=3.1.0)
-Standards-Version: 4.1.3
+               python3-uranium (>=3.3.0), python3-uranium (<<3.4),
+               uranium-tools (>=3.3.0), uranium-tools (<<3.4)
+Standards-Version: 4.1.4
 X-Python3-Version: >= 3.5
 Section: misc
 Homepage: https://github.com/Ultimaker/Cura
-Vcs-Browser: https://anonscm.debian.org/cgit/3dprinter/packages/cura.git/
-Vcs-Git: https://anonscm.debian.org/git/3dprinter/packages/cura.git
+Vcs-Browser: https://salsa.debian.org/3dprinting-team/cura
+Vcs-Git: https://salsa.debian.org/3dprinting-team/cura.git
 
 Package: cura
 Architecture: all
-Depends: cura-engine (>=1:3.1.0),
+Depends: cura-engine (>=1:3.3.0), cura-engine (<<1:3.4),
          fonts-open-sans,
          python3-pyqt5,
          python3-pyqt5.qtopengl,
-         python3-savitar (>=3.1.0),
+         python3-savitar (>=3.3.0),
          python3-serial,
-         python3-uranium (>=3.1.0),
+         python3-uranium (>=3.3.0), python3-uranium (<<3.4),
          qml-module-qt-labs-folderlistmodel,
          qml-module-qt-labs-settings,
          qml-module-qtqml-models2,
          qml-module-qtquick-controls,
+         qml-module-qtquick-controls2,
          qml-module-qtquick-dialogs,
-         uranium-plugins (>=3.1.0),
+         uranium-plugins (>=3.3.0), uranium-plugins (<<3.4),
+         fdm-materials (>=3.3.0), fdm-materials (<<3.4),
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
-Recommends: fdm-materials (>=3.1.0), python3-zeroconf
+Recommends: python3-zeroconf
 Provides: ${python3:Provides}
 XB-Python3-Version: ${python3:Versions}
 Description: GUI G-code generator for 3D printers

## cura 4.4.1

=== CMakeLists.txt ===
project(cura)
cmake_minimum_required(VERSION 3.6)

include(GNUInstallDirs)

list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

set(URANIUM_DIR "${CMAKE_SOURCE_DIR}/../Uranium" CACHE DIRECTORY "The location of the Uranium repository")
set(URANIUM_SCRIPTS_DIR "${URANIUM_DIR}/scripts" CACHE DIRECTORY "The location of the scripts directory of the Uranium repository")

# Tests
include(CuraTests)

option(CURA_DEBUGMODE "Enable debug dialog and other debug features" OFF)
if(CURA_DEBUGMODE)
    set(_cura_debugmode "ON")
endif()

set(CURA_APP_NAME "cura" CACHE STRING "Short name of Cura, used for configuration folder")
set(CURA_APP_DISPLAY_NAME "Ultimaker Cura" CACHE STRING "Display name of Cura")
set(CURA_VERSION "master" CACHE STRING "Version name of Cura")
set(CURA_BUILDTYPE "" CACHE STRING "Build type of Cura, eg. 'PPA'")
set(CURA_CLOUD_API_ROOT "" CACHE STRING "Alternative Cura cloud API root")
set(CURA_CLOUD_API_VERSION "" CACHE STRING "Alternative Cura cloud API version")
set(CURA_CLOUD_ACCOUNT_API_ROOT "" CACHE STRING "Alternative Cura cloud account API version")

configure_file(${CMAKE_SOURCE_DIR}/cura.desktop.in ${CMAKE_BINARY_DIR}/cura.desktop @ONLY)

configure_file(cura/CuraVersion.py.in CuraVersion.py @ONLY)


# FIXME: Remove the code for CMake <3.12 once we have switched over completely.
# FindPython3 is a new module since CMake 3.12. It deprecates FindPythonInterp and FindPythonLibs. The FindPython3
# module is copied from the CMake repository here so in CMake <3.12 we can still use it.
if(${CMAKE_VERSION} VERSION_LESS 3.12)
    # Use FindPythonInterp and FindPythonLibs for CMake <3.12
    find_package(PythonInterp 3 REQUIRED)

    set(Python3_EXECUTABLE ${PYTHON_EXECUTABLE})

    set(Python3_VERSION ${PYTHON_VERSION_STRING})
    set(Python3_VERSION_MAJOR ${PYTHON_VERSION_MAJOR})
    set(Python3_VERSION_MINOR ${PYTHON_VERSION_MINOR})
    set(Python3_VERSION_PATCH ${PYTHON_VERSION_PATCH})
else()
    # Use FindPython3 for CMake >=3.12
    find_package(Python3 REQUIRED COMPONENTS Interpreter Development)
endif()


if(NOT ${URANIUM_DIR} STREQUAL "")
    set(CMAKE_MODULE_PATH "${URANIUM_DIR}/cmake")
endif()
if(NOT ${URANIUM_SCRIPTS_DIR} STREQUAL "")
    list(APPEND CMAKE_MODULE_PATH ${URANIUM_DIR}/cmake)
    include(UraniumTranslationTools)
    # Extract Strings
    add_custom_target(extract-messages ${URANIUM_SCRIPTS_DIR}/extract-messages ${CMAKE_SOURCE_DIR} cura)
    # Build Translations
    CREATE_TRANSLATION_TARGETS()
endif()


install(DIRECTORY resources
        DESTINATION ${CMAKE_INSTALL_DATADIR}/cura)
install(DIRECTORY plugins
        DESTINATION lib${LIB_SUFFIX}/cura)

if(NOT APPLE AND NOT WIN32)
    install(FILES cura_app.py
            DESTINATION ${CMAKE_INSTALL_BINDIR}
            PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
            RENAME cura)
    if(EXISTS /etc/debian_version)
        install(DIRECTORY cura
            DESTINATION lib${LIB_SUFFIX}/python${Python3_VERSION_MAJOR}/dist-packages
            FILES_MATCHING PATTERN *.py)
        install(FILES ${CMAKE_BINARY_DIR}/CuraVersion.py
            DESTINATION lib${LIB_SUFFIX}/python${Python3_VERSION_MAJOR}/dist-packages/cura)
    else()
        install(DIRECTORY cura
            DESTINATION lib${LIB_SUFFIX}/python${Python3_VERSION_MAJOR}.${Python3_VERSION_MINOR}/site-packages
            FILES_MATCHING PATTERN *.py)
        install(FILES ${CMAKE_BINARY_DIR}/CuraVersion.py
            DESTINATION lib${LIB_SUFFIX}/python${Python3_VERSION_MAJOR}.${Python3_VERSION_MINOR}/site-packages/cura)
    endif()
    install(FILES ${CMAKE_BINARY_DIR}/cura.desktop
            DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
    install(FILES ${CMAKE_SOURCE_DIR}/resources/images/cura-icon.png
            DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/128x128/apps/)
    install(FILES cura.appdata.xml
            DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)
    install(FILES cura.sharedmimeinfo
            DESTINATION ${CMAKE_INSTALL_DATADIR}/mime/packages/
            RENAME cura.xml )
else()
    install(FILES cura_app.py
            DESTINATION ${CMAKE_INSTALL_BINDIR}
            PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
    install(DIRECTORY cura
            DESTINATION lib${LIB_SUFFIX}/python${Python3_VERSION_MAJOR}.${Python3_VERSION_MINOR}/site-packages
            FILES_MATCHING PATTERN *.py)
    install(FILES ${CMAKE_BINARY_DIR}/CuraVersion.py
            DESTINATION lib${LIB_SUFFIX}/python${Python3_VERSION_MAJOR}.${Python3_VERSION_MINOR}/site-packages/cura)
endif()

=== debian/changelog ===
cura (4.4.1-1) unstable; urgency=medium

  * Team upload.

  [ Gregor Riepl ]
  * Require at least PyQt 5.10 to address upstream bug
    https://github.com/Ultimaker/Cura/issues/4080

  [ Christoph Berg ]
  * New upstream version. (Closes: #917108)
    + Fixes screen rendering. (Closes: #947151)
    + Compatible with python3-stl. (Closes: #904919)
  * Remove patches 1020-depend-latest-python3 and
    1030-fix-appstream-xml, applied upstream.
  * Add new dependencies python3-requests and python3-shapely.
  * Remove ancient X-Python3-Version field with version 3.5.
  * Disable calling-home telemetry by default.
  * Build-depend on python3-all-dev so cmake finds python.
  * Copy-edit package description.

 -- Christoph Berg <myon@debian.org>  Tue, 28 Jan 2020 22:17:19 +0100

=== debian/control ===
Source: cura
Priority: optional
Maintainer: Debian 3-D Printing Packages <3dprinter-general@lists.alioth.debian.org>
Uploaders: Gregor Riepl <onitake@gmail.com>
Build-Depends: cmake (>=2.8.12),
               debhelper (>= 10),
               dh-python,
               gettext,
               python3-all-dev,
               python3-pytest,
               python3-uranium (>= 4.4.0), python3-uranium (<< 4.5),
               uranium-tools (>= 4.4.0), uranium-tools (<< 4.5)
Standards-Version: 4.5.0
Section: misc
Homepage: https://github.com/Ultimaker/Cura
Vcs-Browser: https://salsa.debian.org/3dprinting-team/cura
Vcs-Git: https://salsa.debian.org/3dprinting-team/cura.git

Package: cura
Architecture: all
Depends: cura-engine (>= 1:4.4.0), cura-engine (<< 1:4.5),
         fonts-open-sans,
         python3-pyqt5 (>=5.10),
         python3-pyqt5.qtopengl (>=5.10),
         python3-requests,
         python3-savitar (>= 4.4.0),
         python3-serial,
         python3-shapely,
         python3-uranium (>= 4.4.0), python3-uranium (<< 4.5),
         qml-module-qt-labs-folderlistmodel,
         qml-module-qt-labs-settings,
         qml-module-qtqml-models2,
         qml-module-qtquick-controls,
         qml-module-qtquick-controls2,
         qml-module-qtquick-dialogs,
         uranium-plugins (>= 4.4.0), uranium-plugins (<< 4.5),
         fdm-materials (>= 4.4.0), fdm-materials (<< 4.5),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: python3-zeroconf
Provides: ${python3:Provides}
XB-Python3-Version: ${python3:Versions}
Description: GUI G-code generator for 3D printers
 Cura converts digital 3D models (.stl and other formats) into printing
 instructions (G-code) for your 3D printer. It cuts the model into horizontal
 slices (layers), generates toolpaths to fill them and calculates the amount of
 material to be extruded.
 .
 Cura is easy to use for novices and provides over 200 settings to adjust
 for the expert.  It can output G-Code for several series of 3D printers,
 most notably the Ultimaker.
 .
 It provides a graphical user interface.  For batch mode, check out
 cura-engine.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,4 @@
 #!/usr/bin/make -f
-# See debhelper(7) (uncomment to enable)
-# output every command that modifies files on the build system.
 export DH_VERBOSE = 1
 include /usr/share/dpkg/pkg-info.mk
 # Suppress __pycache__ pollution
@@ -9,7 +7,7 @@
 DEB_URANIUM_DIR ?= /usr/share/uranium
 
 %:
-	dh $@ --buildsystem=cmake --with python3 --parallel
+	dh $@ --buildsystem=cmake --with python3
 
 override_dh_auto_configure:
 	dh_auto_configure -- -DURANIUM_DIR=$(DEB_URANIUM_DIR) -DCURA_VERSION=$(DEB_VERSION_UPSTREAM)

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/(\d\S+)\.tar\.gz/Cura-$1\.tar\.gz/ \
  https://github.com/Ultimaker/Cura/tags  .*/(\d\.\S+)\.tar\.gz

## cura 4.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -23,6 +23,7 @@
 set(CURA_CLOUD_API_ROOT "" CACHE STRING "Alternative Cura cloud API root")
 set(CURA_CLOUD_API_VERSION "" CACHE STRING "Alternative Cura cloud API version")
 set(CURA_CLOUD_ACCOUNT_API_ROOT "" CACHE STRING "Alternative Cura cloud account API version")
+set(CURA_MARKETPLACE_ROOT "" CACHE STRING "Alternative Marketplace location")
 
 configure_file(${CMAKE_SOURCE_DIR}/cura.desktop.in ${CMAKE_BINARY_DIR}/cura.desktop @ONLY)
 
@@ -49,7 +50,7 @@
 
 
 if(NOT ${URANIUM_DIR} STREQUAL "")
-    set(CMAKE_MODULE_PATH "${URANIUM_DIR}/cmake")
+    set(CMAKE_MODULE_PATH "${CMAKE_MODULE_PATH};${URANIUM_DIR}/cmake")
 endif()
 if(NOT ${URANIUM_SCRIPTS_DIR} STREQUAL "")
     list(APPEND CMAKE_MODULE_PATH ${URANIUM_DIR}/cmake)
@@ -63,8 +64,8 @@
 
 install(DIRECTORY resources
         DESTINATION ${CMAKE_INSTALL_DATADIR}/cura)
-install(DIRECTORY plugins
-        DESTINATION lib${LIB_SUFFIX}/cura)
+
+include(CuraPluginInstall)
 
 if(NOT APPLE AND NOT WIN32)
     install(FILES cura_app.py

=== debian/changelog ===
cura (4.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.
  * Add dependency on python3-charon.
  * Relax some dependencies to be less specific for easier upgrades.

 -- Christoph Berg <myon@debian.org>  Tue, 04 Feb 2020 12:14:08 +0100

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
                gettext,
                python3-all-dev,
                python3-pytest,
-               python3-uranium (>= 4.4.0), python3-uranium (<< 4.5),
-               uranium-tools (>= 4.4.0), uranium-tools (<< 4.5)
+               python3-uranium (>= 4.5.0),
+               uranium-tools (>= 4.5.0),
 Standards-Version: 4.5.0
 Section: misc
 Homepage: https://github.com/Ultimaker/Cura
@@ -18,23 +18,24 @@
 
 Package: cura
 Architecture: all
-Depends: cura-engine (>= 1:4.4.0), cura-engine (<< 1:4.5),
+Depends: cura-engine (>= 1:4.5.0), cura-engine (<< 1:4.6),
          fonts-open-sans,
+         python3-charon,
          python3-pyqt5 (>=5.10),
          python3-pyqt5.qtopengl (>=5.10),
          python3-requests,
-         python3-savitar (>= 4.4.0),
+         python3-savitar (>= 4.5.0),
          python3-serial,
          python3-shapely,
-         python3-uranium (>= 4.4.0), python3-uranium (<< 4.5),
+         python3-uranium (>= 4.5.0),
          qml-module-qt-labs-folderlistmodel,
          qml-module-qt-labs-settings,
          qml-module-qtqml-models2,
          qml-module-qtquick-controls,
          qml-module-qtquick-controls2,
          qml-module-qtquick-dialogs,
-         uranium-plugins (>= 4.4.0), uranium-plugins (<< 4.5),
-         fdm-materials (>= 4.4.0), fdm-materials (<< 4.5),
+         uranium-plugins (>= 4.5.0),
+         fdm-materials,
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}

## cura 4.6.2

=== debian/changelog ===
cura (4.6.2-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Christoph Berg ]
  * New upstream version.
  * Don't ignore testsuite failures.
  * Install missing test dependencies.

 -- Christoph Berg <myon@debian.org>  Wed, 19 Aug 2020 13:09:01 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,18 @@
 Priority: optional
 Maintainer: Debian 3-D Printing Packages <3dprinter-general@lists.alioth.debian.org>
 Uploaders: Gregor Riepl <onitake@gmail.com>
-Build-Depends: cmake (>=2.8.12),
-               debhelper (>= 10),
+Build-Depends: cmake (>= 2.8.12),
+               debhelper-compat (= 12),
                dh-python,
                gettext,
+               mypy,
                python3-all-dev,
+               python3-certifi,
+               python3-cryptography,
                python3-pytest,
+               python3-requests,
+               python3-savitar,
+               python3-shapely,
                python3-uranium (>= 4.5.0),
                uranium-tools (>= 4.5.0),
 Standards-Version: 4.5.0
@@ -18,9 +24,11 @@
 
 Package: cura
 Architecture: all
-Depends: cura-engine (>= 1:4.5.0), cura-engine (<< 1:4.6),
+Depends: cura-engine (>= 1:4.6.0), cura-engine (<< 1:4.7),
          fonts-open-sans,
+         python3-certifi,
          python3-charon,
+         python3-cryptography,
          python3-pyqt5 (>=5.10),
          python3-pyqt5.qtopengl (>=5.10),
          python3-requests,

=== debian/rules ===
--- 
+++ 
@@ -19,4 +19,5 @@
 	find -name __pycache__ -print0 | xargs -0 rm -rf
 
 override_dh_auto_test:
-	tmpdir=$(mktemp -d); HOME=$$tmpdir dh_auto_test; rm -rf $$tmpdir
+	mkdir -p debian/home
+	HOME=$(CURDIR)/debian/home dh_auto_test

## cura 4.7.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,8 +5,8 @@
 
 list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
 
-set(URANIUM_DIR "${CMAKE_SOURCE_DIR}/../Uranium" CACHE DIRECTORY "The location of the Uranium repository")
-set(URANIUM_SCRIPTS_DIR "${URANIUM_DIR}/scripts" CACHE DIRECTORY "The location of the scripts directory of the Uranium repository")
+set(URANIUM_DIR "${CMAKE_SOURCE_DIR}/../Uranium" CACHE PATH "The location of the Uranium repository")
+set(URANIUM_SCRIPTS_DIR "${URANIUM_DIR}/scripts" CACHE PATH "The location of the scripts directory of the Uranium repository")
 
 # Tests
 include(CuraTests)

=== debian/changelog ===
cura (4.7.1-2ubuntu1) hirsute; urgency=medium

  * d/p/0000-mypy-test-fix.patch: Fix FTBFS on hirsute due to missing cast.
  Thanks to Bryce Harrington for pointers on finding the fix.
  (LP: #1908134)

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Mon, 14 Dec 2020 16:08:57 -0500

cura (4.7.1-2) unstable; urgency=medium

  * Bump cura-engine dependency to 4.7.
  * Add myself to uploaders.

 -- Christoph Berg <myon@debian.org>  Mon, 07 Sep 2020 22:11:25 +0200

cura (4.7.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 4.7.1.
  * Create debian/home/.local/share/UM so the upgrade tests don't see it
    missing.

 -- Christoph Berg <myon@debian.org>  Mon, 07 Sep 2020 10:50:50 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,9 @@
 Source: cura
 Priority: optional
-Maintainer: Debian 3-D Printing Packages <3dprinter-general@lists.alioth.debian.org>
-Uploaders: Gregor Riepl <onitake@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian 3-D Printing Packages <3dprinter-general@lists.alioth.debian.org>
+Uploaders: Gregor Riepl <onitake@gmail.com>,
+           Christoph Berg <myon@debian.org>,
 Build-Depends: cmake (>= 2.8.12),
                debhelper-compat (= 12),
                dh-python,
@@ -24,7 +26,7 @@
 
 Package: cura
 Architecture: all
-Depends: cura-engine (>= 1:4.6.0), cura-engine (<< 1:4.7),
+Depends: cura-engine (>= 1:4.7), cura-engine (<< 1:4.8),
          fonts-open-sans,
          python3-certifi,
          python3-charon,

## cura 4.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,6 +16,8 @@
     set(_cura_debugmode "ON")
 endif()
 
+option(GENERATE_TRANSLATIONS "Should the translations be generated?" ON)
+
 set(CURA_APP_NAME "cura" CACHE STRING "Short name of Cura, used for configuration folder")
 set(CURA_APP_DISPLAY_NAME "Ultimaker Cura" CACHE STRING "Display name of Cura")
 set(CURA_VERSION "master" CACHE STRING "Version name of Cura")
@@ -24,30 +26,23 @@
 set(CURA_CLOUD_API_VERSION "" CACHE STRING "Alternative Cura cloud API version")
 set(CURA_CLOUD_ACCOUNT_API_ROOT "" CACHE STRING "Alternative Cura cloud account API version")
 set(CURA_MARKETPLACE_ROOT "" CACHE STRING "Alternative Marketplace location")
+set(CURA_DIGITAL_FACTORY_URL "" CACHE STRING "Alternative Digital Factory location")
 
 configure_file(${CMAKE_SOURCE_DIR}/cura.desktop.in ${CMAKE_BINARY_DIR}/cura.desktop @ONLY)
 
 configure_file(cura/CuraVersion.py.in CuraVersion.py @ONLY)
 
 
-# FIXME: Remove the code for CMake <3.12 once we have switched over completely.
-# FindPython3 is a new module since CMake 3.12. It deprecates FindPythonInterp and FindPythonLibs. The FindPython3
-# module is copied from the CMake repository here so in CMake <3.12 we can still use it.
-if(${CMAKE_VERSION} VERSION_LESS 3.12)
-    # Use FindPythonInterp and FindPythonLibs for CMake <3.12
-    find_package(PythonInterp 3 REQUIRED)
+# FIXME: The new FindPython3 finds the system's Python3.6 reather than the Python3.5 that we built for Cura's environment.
+# So we're using the old method here, with FindPythonInterp for now.
+find_package(PythonInterp 3 REQUIRED)
 
-    set(Python3_EXECUTABLE ${PYTHON_EXECUTABLE})
+set(Python3_EXECUTABLE ${PYTHON_EXECUTABLE})
 
-    set(Python3_VERSION ${PYTHON_VERSION_STRING})
-    set(Python3_VERSION_MAJOR ${PYTHON_VERSION_MAJOR})
-    set(Python3_VERSION_MINOR ${PYTHON_VERSION_MINOR})
-    set(Python3_VERSION_PATCH ${PYTHON_VERSION_PATCH})
-else()
-    # Use FindPython3 for CMake >=3.12
-    find_package(Python3 REQUIRED COMPONENTS Interpreter Development)
-endif()
-
+set(Python3_VERSION ${PYTHON_VERSION_STRING})
+set(Python3_VERSION_MAJOR ${PYTHON_VERSION_MAJOR})
+set(Python3_VERSION_MINOR ${PYTHON_VERSION_MINOR})
+set(Python3_VERSION_PATCH ${PYTHON_VERSION_PATCH})
 
 if(NOT ${URANIUM_DIR} STREQUAL "")
     set(CMAKE_MODULE_PATH "${CMAKE_MODULE_PATH};${URANIUM_DIR}/cmake")
@@ -58,7 +53,9 @@
     # Extract Strings
     add_custom_target(extract-messages ${URANIUM_SCRIPTS_DIR}/extract-messages ${CMAKE_SOURCE_DIR} cura)
     # Build Translations
-    CREATE_TRANSLATION_TARGETS()
+    if(${GENERATE_TRANSLATIONS})
+        CREATE_TRANSLATION_TARGETS()
+    endif()
 endif()

=== requirements.txt ===
colorlog
mypy==0.740
PyQt5==5.10
numpy==1.15.4
scipy==1.2.0
shapely[vectorized]==1.6.4.post2
appdirs==1.4.3
certifi==2019.11.28
cffi==1.13.1
chardet==3.0.4
cryptography==2.8
decorator==4.4.0
idna==2.8
netifaces==0.10.9
networkx==2.3
numpy-stl==2.10.1
packaging==18.0
pycollada==0.6
pycparser==2.19
pyparsing==2.4.2
pyserial==3.4
pytest
python-dateutil==2.8.0
python-utils==2.3.0
requests==2.22.0
sentry-sdk==0.13.5
six==1.12.0
trimesh==3.2.33
typing==3.7.4
twisted==19.10.0
urllib3==1.25.6
PyYAML==5.1.2
zeroconf==0.24.1
comtypes==1.1.7

=== debian/changelog ===
cura (4.8-5) unstable; urgency=medium

  * Add patch for python3-zeroconf incompatiblity (closes: #999335)

 -- Gregor Riepl <onitake@gmail.com>  Thu, 11 Nov 2021 17:53:20 +0100

cura (4.8-4) unstable; urgency=medium

  * Fix Python 3.9 incompatibility issue (upstream PR #9105,
    closes: #985585)
  * Added missing metadata license

 -- Gregor Riepl <onitake@gmail.com>  Sat, 20 Mar 2021 14:20:06 +0100

cura (4.8-3) unstable; urgency=medium

  [ Gregor Riepl ]
  * Force QT_QUICK_CONTROLS_STYLE=default.
    (Backport upstream PR #7139, closes: #956811)

 -- Christoph Berg <myon@debian.org>  Tue, 02 Feb 2021 22:12:43 +0100

cura (4.8-2) unstable; urgency=medium

  [ Gregor Riepl ]
  * Disable code-style unit test. (Works around and closes: #980603)

 -- Christoph Berg <myon@debian.org>  Mon, 01 Feb 2021 17:28:48 +0100

cura (4.8-1) unstable; urgency=medium

  [ Gregor Riepl ]
  * Fix for failing mypy unit test. Closes: #973230

  [ Christoph Berg ]
  * debian/watch: Handle -beta releases.
  * New upstream version 4.8.
    + Wizard works now. (Closes: #975705, #975836)
  * Bump dependencies on cura-engine, savitar, and uranium to 4.8.

  [ Sergio Durigan Junior ]
  * Fix failures during make check due to PyCapsule_GetPointer race.
    - d/p/0005-Fix-PyCapsule_GetPointer-error-when-running-tests.patch
    - d/p/0006-More-fixes-for-PyCapsule_GetPointer-race-condition.patch

 -- Christoph Berg <myon@debian.org>  Sun, 20 Dec 2020 22:31:31 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: cura
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian 3-D Printing Packages <3dprinter-general@lists.alioth.debian.org>
+Maintainer: Debian 3-D Printing Packages <3dprinter-general@lists.alioth.debian.org>
 Uploaders: Gregor Riepl <onitake@gmail.com>,
            Christoph Berg <myon@debian.org>,
 Build-Depends: cmake (>= 2.8.12),
@@ -16,6 +15,7 @@
                python3-requests,
                python3-savitar,
                python3-shapely,
+               python3-pynest2d,
                python3-uranium (>= 4.5.0),
                uranium-tools (>= 4.5.0),
 Standards-Version: 4.5.0
@@ -26,7 +26,7 @@
 
 Package: cura
 Architecture: all
-Depends: cura-engine (>= 1:4.7), cura-engine (<< 1:4.8),
+Depends: cura-engine (>= 1:4.8), cura-engine (<< 1:4.9),
          fonts-open-sans,
          python3-certifi,
          python3-charon,
@@ -34,22 +34,23 @@
          python3-pyqt5 (>=5.10),
          python3-pyqt5.qtopengl (>=5.10),
          python3-requests,
-         python3-savitar (>= 4.5.0),
+         python3-savitar (>= 4.8),
          python3-serial,
          python3-shapely,
-         python3-uranium (>= 4.5.0),
+         python3-pynest2d,
+         python3-uranium (>= 4.8),
          qml-module-qt-labs-folderlistmodel,
          qml-module-qt-labs-settings,
          qml-module-qtqml-models2,
          qml-module-qtquick-controls,
          qml-module-qtquick-controls2,
          qml-module-qtquick-dialogs,
-         uranium-plugins (>= 4.5.0),
+         uranium-plugins (>= 4.8),
          fdm-materials,
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
-Recommends: python3-zeroconf
+Recommends: python3-zeroconf (>= 0.28)
 Provides: ${python3:Provides}
 XB-Python3-Version: ${python3:Versions}
 Description: GUI G-code generator for 3D printers

## cura 4.13.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -28,12 +28,12 @@
 set(CURA_MARKETPLACE_ROOT "" CACHE STRING "Alternative Marketplace location")
 set(CURA_DIGITAL_FACTORY_URL "" CACHE STRING "Alternative Digital Factory location")
 
-configure_file(${CMAKE_SOURCE_DIR}/cura.desktop.in ${CMAKE_BINARY_DIR}/cura.desktop @ONLY)
+configure_file(${CMAKE_SOURCE_DIR}/com.ultimaker.cura.desktop.in ${CMAKE_BINARY_DIR}/com.ultimaker.cura.desktop @ONLY)
 
 configure_file(cura/CuraVersion.py.in CuraVersion.py @ONLY)
 
 
-# FIXME: The new FindPython3 finds the system's Python3.6 reather than the Python3.5 that we built for Cura's environment.
+# FIXME: The new FindPython3 finds the system's Python3.6 rather than the Python3.5 that we built for Cura's environment.
 # So we're using the old method here, with FindPythonInterp for now.
 find_package(PythonInterp 3 REQUIRED)
 
@@ -82,11 +82,11 @@
         install(FILES ${CMAKE_BINARY_DIR}/CuraVersion.py
             DESTINATION lib${LIB_SUFFIX}/python${Python3_VERSION_MAJOR}.${Python3_VERSION_MINOR}/site-packages/cura)
     endif()
-    install(FILES ${CMAKE_BINARY_DIR}/cura.desktop
+    install(FILES ${CMAKE_BINARY_DIR}/com.ultimaker.cura.desktop
             DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
     install(FILES ${CMAKE_SOURCE_DIR}/resources/images/cura-icon.png
             DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/128x128/apps/)
-    install(FILES cura.appdata.xml
+    install(FILES com.ultimaker.cura.appdata.xml
             DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)
     install(FILES cura.sharedmimeinfo
             DESTINATION ${CMAKE_INSTALL_DATADIR}/mime/packages/

=== requirements.txt ===
appdirs==1.4.3
certifi==2019.11.28
cffi==1.14.1
chardet==3.0.4
colorlog
comtypes==1.1.7
cryptography==3.4.8
decorator==4.4.0
idna==2.8
importlib-metadata==3.7.2
keyring==23.0.1
lxml==4.6.3
mypy==0.740
netifaces==0.10.9
networkx==2.6.2
numpy==1.20.2
numpy-stl==2.10.1
packaging==18.0
pycollada==0.6
pycparser==2.20
pyparsing==2.4.2
PyQt5==5.15.2
PyQt5-sip==12.8.1
pyserial==3.4
pytest
python-dateutil==2.8.0
python-utils==2.3.0
pywin32==301
requests==2.22.0
scipy==1.6.2
sentry-sdk==0.13.5
shapely[vectorized]==1.8.0
six==1.12.0
trimesh==3.2.33
twisted==21.2.0
typing
urllib3==1.25.9
zeroconf==0.31.0

=== debian/changelog ===
cura (4.13.0-1) unstable; urgency=medium

  * New upstream version 4.13.0.
  * Add new dependencies python3-keyring and python3-sentry-sdk.

 -- Christoph Berg <myon@debian.org>  Tue, 18 Jan 2022 12:03:00 +0100

=== debian/control ===
--- 
+++ 
@@ -11,11 +11,12 @@
                python3-all-dev,
                python3-certifi,
                python3-cryptography,
+               python3-keyring,
                python3-pytest,
                python3-requests,
                python3-savitar,
                python3-shapely,
-               python3-pynest2d,
+               python3-pynest2d (>= 4.13~),
                python3-uranium (>= 4.5.0),
                uranium-tools (>= 4.5.0),
 Standards-Version: 4.5.0
@@ -26,18 +27,20 @@
 
 Package: cura
 Architecture: all
-Depends: cura-engine (>= 1:4.8), cura-engine (<< 1:4.9),
+Depends: cura-engine (>= 1:4.13), cura-engine (<< 1:4.14),
          fonts-open-sans,
          python3-certifi,
          python3-charon,
          python3-cryptography,
+         python3-keyring,
          python3-pyqt5 (>=5.10),
          python3-pyqt5.qtopengl (>=5.10),
          python3-requests,
          python3-savitar (>= 4.8),
+         python3-sentry-sdk,
          python3-serial,
          python3-shapely,
-         python3-pynest2d,
+         python3-pynest2d (>= 4.13~),
          python3-uranium (>= 4.8),
          qml-module-qt-labs-folderlistmodel,
          qml-module-qt-labs-settings,

=== debian/rules ===
--- 
+++ 
@@ -19,5 +19,5 @@
 	find -name __pycache__ -print0 | xargs -0 rm -rf
 
 override_dh_auto_test:
-	mkdir -p debian/home
+	mkdir -p debian/home/.local/share/UM
 	HOME=$(CURDIR)/debian/home dh_auto_test

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/(\d\S+)\.tar\.gz/Cura-$1\.tar\.gz/,uversionmangle=s/-beta/~beta/ \
  https://github.com/Ultimaker/Cura/tags  .*/(\d\.\S+)\.tar\.gz
